## prelude-lml 4.1.0

=== selinux/Makefile ===
TARGETS?= prelude-lml
MODULES?=${TARGETS:=.pp.bz2}

all: ${TARGETS:=.pp.bz2}

%.pp.bz2: %.pp
	@echo Compressing $^ -\ $@
	bzip2 -9 $^

%.pp: %.te
	make -f /usr/share/selinux/devel/Makefile $@

clean:
	rm -f *~ *.tc *.pp *.pp.bz2
	rm -rf tmp

.PHONY: all clean

## prelude-lml 1.0.0

=== debian/changelog ===
prelude-lml (1.0.0-5.3ubuntu2) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:41:33 +0100

prelude-lml (1.0.0-5.3ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Sep 2014 14:05:38 -0400

prelude-lml (1.0.0-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Brown paper bag release.
  * Really add pkg-config to b-d.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Aug 2014 16:54:32 +0200

prelude-lml (1.0.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Configure with ICU_CFLAGS="$(shell pkg-config --cflags icu-i18n)" and
    ICU_LIBS="$(shell pkg-config --libs icu-i18n)" instead of letting
    ./configure use icu-config. The latter prints out icu's compile-time
    cflags including -fPIE (see #759792) which causes a build-error on amd64
    et al. Closes: #759247

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Aug 2014 15:04:09 +0200

prelude-lml (1.0.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS 3. Drop build-dependency on libgnutls-dev, instead
    rely on libprelude-dev pulling in GnuTLS (unused by prelude-lml) and
    gcrypt development packages.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 07:51:05 +0200

prelude-lml (1.0.0-5) unstable; urgency=low

  * Bump Standards Version to 3.9.4
  * Refreshed quilt patches
  * Fix FTBFS with eglibc 2.17 (Closes: #701411)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 02 Jul 2013 15:19:08 +0200

prelude-lml (1.0.0-4) unstable; urgency=high

  * Disable tests to avoid build failure on on kFreeBSD (Closes: #677852)
  * Urgency high, RC bug

 -- Pierre Chifflier <pollux@debian.org>  Mon, 18 Jun 2012 21:30:19 +0200

prelude-lml (1.0.0-3) unstable; urgency=high

  * Trigger rebuild (Closes: #676028)
  * Bump Standards Version to 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to DH version 9
    - Enable hardening options
    - Enable multi-arch
  * Urgency high, RC bugs

 -- Pierre Chifflier <pollux@debian.org>  Sat, 16 Jun 2012 13:38:01 +0200

prelude-lml (1.0.0-2) unstable; urgency=low

  * Fix FTBFS with undefined symbol lt__PROGRAM__LTX_preloaded_symbols
    (Closes: #622046)
  * Bump Standards Version to 3.9.2
  * Ensure init script messages have newlines (Closes: #574595)
  * Exit init script gracefuly if profile does not exist
    (Closes: #616178)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 02 May 2011 13:55:25 +0200

prelude-lml (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Mar 2010 09:45:21 +0100

prelude-lml (1.0.0~rc2-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Tue, 09 Feb 2010 13:30:03 +0100

prelude-lml (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.4
  * Update description
  * Recommend rsyslog | system-log-daemon

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Feb 2010 11:45:37 +0100

prelude-lml (0.9.15-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.2
  * Set debconf compat level to 5

 -- Pierre Chifflier <pollux@debian.org>  Fri, 17 Jul 2009 11:23:11 +0200

prelude-lml (0.9.14-2) unstable; urgency=low

  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Thu, 26 Feb 2009 22:59:35 +0100

prelude-lml (0.9.14-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Sun, 19 Oct 2008 22:44:21 +0200

prelude-lml (0.9.13-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Mon, 25 Aug 2008 16:15:29 +0200

prelude-lml (0.9.12.2-2) unstable; urgency=low

  * Update watch file
  * Bump standards version (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 01 Jul 2008 11:51:33 +0200

prelude-lml (0.9.12.2-1) unstable; urgency=low

  * New upstream release (fix installation directory of rules)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 24 Apr 2008 21:20:56 +0200

prelude-lml (0.9.12.1-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 23 Apr 2008 19:17:28 +0200

prelude-lml (0.9.11-1) unstable; urgency=low

  * New upstream release
  * drop disable_cron, merged upstream

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 Dec 2007 19:09:21 +0100

prelude-lml (0.9.10.1-3) unstable; urgency=low

  * Remove remaining rules and var files on purge (Closes: #355737, #455030)
  * Bump standard version (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 16 Dec 2007 16:52:31 +0100

prelude-lml (0.9.10.1-2) unstable; urgency=low

  * Add quilt patches:
    + debian_log_paths: set correct path for debian logs (auth.log, apache)
    + disable_cron: disable cron alerts by default (see README.Debian)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 15 Oct 2007 17:46:01 +0200

prelude-lml (0.9.10.1-1) unstable; urgency=low

  * New upstream release
  * Update my email address

 -- Pierre Chifflier <pollux@debian.org>  Wed, 08 Aug 2007 22:05:39 +0200

prelude-lml (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <chifflier@inl.fr>  Sun, 20 May 2007 16:07:12 +0200

prelude-lml (0.9.9-1) unstable; urgency=low

  * New upstream release
  * Update my email address
  * Add watch file
  * Add compat file

 -- Pierre Chifflier <chifflier@inl.fr>  Wed, 02 May 2007 14:13:54 +0200

prelude-lml (0.9.8.1-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 29 Jan 2007 22:52:19 +0100

prelude-lml (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Mickael Profeta <profeta@debian.org>  Fri, 27 Oct 2006 10:38:47 +0200

prelude-lml (0.9.4-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: prelude-lml
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Mickael Profeta <profeta@debian.org>
Build-Depends: debhelper (>= 9),
    libev-dev,
    libprelude-dev (>> 0.9.7),
    libpcre3-dev,
    libicu-dev,
    pkg-config,
    quilt,
    autotools-dev
Standards-Version: 3.9.4

Package: prelude-lml
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: rsyslog | system-log-daemon
Description: Security Information Management System [ Log Agent ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 Prelude-LML is a signature based log analyzer monitoring logfile and
 received syslog messages for suspicious activity. It handle events
 generated by a large set of components, including but not limited to:
 Apache, BigIP, Grsecurity, Honeyd, ipchains, Netfilter, ipfw, Nagios,
 NTsyslog, NuFW, PAM, Portsentry, Postfix, Proftpd, ssh, etc.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_VERBOSE = 1

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc=no \
		ICU_CFLAGS="$(shell pkg-config --cflags icu-i18n)" \
		ICU_LIBS="$(shell pkg-config --libs icu-i18n)"

override_dh_auto_install:
	dh_auto_install -X.la; \
	find debian/prelude-lml/usr/lib -name '*.la' -delete

override_dh_auto_test:
	# tests disabled to avoid failure on kFreeBSD (#677852)

=== debian/watch ===
# debian watch file
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.prelude-ids.com/en/development/download/index.html \
	/download/releases/prelude-lml/prelude-lml-([\d\.]*)\.tar\.gz

## prelude-lml 4.1.0

=== debian/changelog ===
prelude-lml (4.1.0-2) unstable; urgency=medium

  * Fixing #919869 issue: purge removed too many files
  * Bump Standards-Version to 4.3.0
  * Remove trailing whitespace in d/changelog
  * Improve hardening of service files
  * Add d/upstream/metadata file

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sat, 23 Feb 2019 08:15:47 +0100

prelude-lml (4.1.0-1) unstable; urgency=medium

  * Bump version 4.1.1
    - Update dependencies: libprelude 4.1 is required and also prelude-utils
  * d/control:
    - Update description
    - Update Vcs-* fields to salsa
    - Bump Standards-Version to 4.1.3
    - Bump to debhelper and compat 11
  * Update d/rules and remove d/prelude-lml.postinst to use new systemd
    helpers
  * Update copyrights dates

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Thu, 15 Mar 2018 08:15:47 +0100

prelude-lml (3.1.0-2) unstable; urgency=medium

  * Push to unstable
  * Bump Standards-Version to 4.1.2, no changes needed
  * Remove rulesets since they are now in prelude-lml-rules
    package (Closes: #884415)

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 17 Dec 2017 21:15:47 +0100

prelude-lml (3.1.0-1) experimental; urgency=medium

  * Updating rules file:
    - Add systemd support
    - Reoganize dh call
    - Add missing creation of /var/spool/prelude/prelude-lml
  * Addition of the upstream signing key
  * Update of watch file:
    - Update URL since upstream website moved
    - Add GPG check
  * Migrate from init.d to systemd
    - Remove init script and add .maintscript to handle update
    - Add service and tmpfile
    - Update postrm and rename it to prelude-lml.postrm
    - Add prelude-lml.postinst to add creation of tmpfile
  * Remove unnecessary dirs file
  * Update README.debian
  * New upstream release 3.1.0 (Closes: #878607)
  * Patches:
    - Remove unnecessary patches now that upstream included them
    - 001-debian_log_paths: Update this patch for new prelude-lml version
    - 002-Fix_spellcheck.patch: Fix spelling inside prelude-lml binary
  * Control:
    - Add Thomas Andrejak as uploader
    - Remove Mickael Profeta from uploaders (Closes: #838925)
    - Remove hardcoded Pre-Depends on multiarch-support (Closes: #870559)
    - Remove rsyslog from Recommends
    - Remove quilt build-dep
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.1.1
    - Bump debhelper compat level to 10
    - Set Homepage field
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information
  * Add LML rules that are now shipped with prelude-lml-rules
  * Fix some trailing whitespaces in changelog

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 12 Nov 2017 23:15:47 +0100

=== debian/control ===
Source: prelude-lml
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
Build-Depends: debhelper (>=11),
    libev-dev,
    libprelude-dev (>=4.1.0),
    prelude-utils (>=4.1.0),
    libpcre3-dev,
    libicu-dev,
    pkg-config,
Standards-Version: 4.3.0
Homepage: https://www.prelude-siem.org/
Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-lml
Vcs-Git: https://salsa.debian.org/totol-guest/prelude-lml.git

Package: prelude-lml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, prelude-lml-rules (>=3.1.0-1)
Recommends: system-log-daemon
Description: Security Information and Events Management System [ Log Agent ]
 The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
 of the Prelude SIEM suite. It can act as a centralized log collector for local
 or remote systems, or as a simple log analyzer (such as swatch). It can run as
 a network server listening on a syslog port or analyze log files. It supports
 logfiles in the BSD syslog format and is able to analyze any logfile by using
 the PCRE library. It can apply logfile-specific analysis through plugins such
 as PAX. It can send an alert to the Prelude Manager when a suspicious log entry
 is detected.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CONFIGURE_FLAGS = ICU_CFLAGS="$(shell pkg-config --cflags icu-i18n)" \
		  ICU_LIBS="$(shell pkg-config --libs icu-i18n)"

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
	find debian/prelude-lml/usr/lib -name '*.la' -delete

override_dh_install:
	dh_install
	rmdir -v $(CURDIR)/debian/prelude-lml/var/run/prelude-lml
	mkdir -pv $(CURDIR)/debian/prelude-lml/var/spool/prelude/prelude-lml

%:
	dh $@

## prelude-lml 5.1.0

=== debian/changelog ===
prelude-lml (5.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

prelude-lml (5.1.0-1) experimental; urgency=medium

  * Bump version 5.1.0
    - The new version fixed ftbfs with GCC-9 (Closes: #925804)
  * d/control:
    - Migrate from debhelper to debhelper-compat
    - Update Standard-Version to 4.4.1
    - Add Rules-Requires-Root to no
    - Bump DebHelper to 12
    - Bump prelude dependencies to 5.1
  * Update copyrights dates
  * Add new patch:
    - 003-fix-test_rwlock1.patch
    - 004-fix_thread_create.patch

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 09:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
-Build-Depends: debhelper (>=11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
     libev-dev,
-    libprelude-dev (>=4.1.0),
-    prelude-utils (>=4.1.0),
+    libprelude-dev (>=5.1.0),
+    prelude-utils (>=5.1.0),
     libpcre3-dev,
     libicu-dev,
     pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-lml
 Vcs-Git: https://salsa.debian.org/totol-guest/prelude-lml.git

## prelude-lml 5.2.0

=== debian/changelog ===
prelude-lml (5.2.0-3) unstable; urgency=medium

  * d.patches: Add new patch
    - 008-Use-the-new-PCRE2-API.patch
      - Private patch from upstream, will be integrated. Permit to migrate
        from PCRE3 to PCRE2 (Closes: #999982)
  * d.control: Bump Standards-Version to 4.6.0, no change

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Mar 2022 12:53:39 +0200

prelude-lml (5.2.0-2) unstable; urgency=medium

  * d.patches: Add new patch
    - 023-Disable_GnuLib_Tests_perror2_strerror.patch
      - Apply patch from upstream, disable unportable tests, form armhf

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Thu, 26 Nov 2020 20:53:39 +0200

prelude-lml (5.2.0-1) unstable; urgency=medium

  * Bump version 5.2.0
    - d.control:
      - Update Prelude 5.2 dependencies
      - Bump debhelper version to 13
      - Bump Standards-Version to 4.5.1
    - New patchs:
      - 005-Use-pkgconfig-for-libprelude.patch
        - Update libprelude.m4
        - Use the new libprelude.m4 to detect libprelude with pkgconfig
      - 006-fix-gnutls-deps.patch
        - Fix gnutls detection in configure
    - d.p.*.patch: Set the field Forwarded
    - d.copyright: CS SI to CS GROUP
    - Update d.u.metadata: add missing fields
    - d.watch: bump version to 4

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 17 Nov 2020 20:53:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     libev-dev,
-    libprelude-dev (>=5.1.0),
-    prelude-utils (>=5.1.0),
-    libpcre3-dev,
+    libprelude-dev (>=5.2.0),
+    prelude-utils (>=5.2.0),
+    libpcre2-dev,
     libicu-dev,
     pkg-config,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-lml
 Vcs-Git: https://salsa.debian.org/totol-guest/prelude-lml.git
 
 Package: prelude-lml
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, prelude-lml-rules (>=3.1.0-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, prelude-lml-rules (>=5.2.0-1)
 Recommends: system-log-daemon
 Description: Security Information and Events Management System [ Log Agent ]
  The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://www.prelude-siem.org/pkg/src/([\d\.]*)/prelude-lml-([\d\.]*)\.tar\.gz
